{% load i18n %}

<style>
    #confirm-modal .modal-dialog{
        width:1100px;
        height:700px;
    }
</style>


<script type="text/javascript">
    $(document).ready(function(){
       
        var table=$('#tb-dlg').DataTable({
            dom: 'Bfrtip',
            autoWidth: false,
            buttons: [{extend:'excelHtml5',text:'导出到Excel'}],           
            language:lng,           
            data:{{data|safe}}
        });       
        
        table.columns().every( function () {                        
            var that = this;             
            $('input', this.footer() ).on( 'keyup change clear', function () {
                if ( that.search() !== this.value ) {
                    that.search( this.value ).draw();
                }
            });
        });  
        

        /*
        $('#tb-dlg').on("click","td a",function(){
           $("#bg-modal").modal('hide'); 
           $.RefreshContent($(this).attr('href'));  
            return false;
        }); 
        */
    });
</script>
<div style='margin-bottom:20px;'>    
    <span style='margin-right:20px;'>成功: {{cnt_paid}} 笔, 金额: {{amt_paid}}</span>
    <span>失败: {{cnt_err}} 笔, 金额: {{amt_err}}</span>
</div>

<div id="result-list" class="table-responsive">
    
    <table id="tb-dlg" class="table table-striped table-bordered dt-responsive" width="100%">
        <thead>
            {% for c in clmns %}
                <th>{{c}}</th>
            {% endfor %}
        </thead>
        <tbody></tbody>
        <tfoot>
            {% for c in clmns %}
                <th><input type="text" placeholder="{{c}}"></th>            
            {% endfor %}            
        </tfoot>
    </table> 
  
</div>
